---
title: "Sends a revocation's failed Stripe refund again."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › transaction

`POST /v1/stores/{store}/revocations/{revocation}/refund/retry`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `transaction:write`

## Path parameters

- `store` (`retryRevocationRefund.path.store`; string, required) — The store's id.
- `revocation` (`retryRevocationRefund.path.revocation`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`retryRevocationRefund.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Request body

_Optional._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/revocations/<revocation>/refund/retry' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/revocations/<revocation>/refund/retry';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/revocations/<revocation>/refund/retry"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Sends a revocation's failed Stripe refund again.

#### Example

```json
{
  "id": "string",
  "customer_id": "string",
  "order_id": "string",
  "grant_id": "string",
  "product_ids": [
    "string"
  ],
  "cause": "string",
  "note": "string",
  "message": "string",
  "refund": {
    "via": "string",
    "amount": 0,
    "currency": "string",
    "exponent": 0,
    "settlement_id": "string",
    "refund_id": "string",
    "status": "string"
  },
  "revoked_by": "string",
  "token_id": "string",
  "created_at": "string"
}
```

- `id` (`retryRevocationRefund.response.200.id`; string, required)
- `customer_id` (`retryRevocationRefund.response.200.customer_id`; string, required)
- `order_id` (`retryRevocationRefund.response.200.order_id`; any of, required)
  - any of: `string`, `null`
- `grant_id` (`retryRevocationRefund.response.200.grant_id`; any of, required)
  - any of: `string`, `null`
- `product_ids` (`retryRevocationRefund.response.200.product_ids`; array<string>, required)
- `cause` (`retryRevocationRefund.response.200.cause`; string, required)
- `note` (`retryRevocationRefund.response.200.note`; any of, required)
  - any of: `string`, `null`
- `message` (`retryRevocationRefund.response.200.message`; any of, required)
  - any of: `string`, `null`
- `refund` (`retryRevocationRefund.response.200.refund`; any of, required)
  - any of: `object`, `null`
- `revoked_by` (`retryRevocationRefund.response.200.revoked_by`; any of, required)
  - any of: `string`, `null`
- `token_id` (`retryRevocationRefund.response.200.token_id`; any of, required)
  - any of: `string`, `null`
- `created_at` (`retryRevocationRefund.response.200.created_at`; any of, required)
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`retryRevocationRefund.response.default.type`; string, required)
  - format `uri`
- `title` (`retryRevocationRefund.response.default.title`; string, required)
- `status` (`retryRevocationRefund.response.default.status`; integer, required)
- `detail` (`retryRevocationRefund.response.default.detail`; string, required)
- `code` (`retryRevocationRefund.response.default.code`; string, optional)
- `context` (`retryRevocationRefund.response.default.context`; object, optional)
- `reached_core` (`retryRevocationRefund.response.default.reached_core`; boolean, optional)
- `core_answer` (`retryRevocationRefund.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/retry-revocation-refund/index.md
